.listInfo {
    padding: 0.5rem 0;
    width: 100%;
    /* height       : 5rem; */
    border-radius: 10px;
    background-color: #ffffff;
}

.listRow {
    position: relative;
    display: flex;
    flex-direction: column;
    padding: 0 0.5rem;
    width: 100%;
    /* background-color: #fdd239; */
}

.selectBox {
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* background-color: pink; */
}

.hisMore {
    display: flex;
    align-items: center;
    /* background-color: #2f80ed; */
}

.arrowHis,
.deleteHis {
    height: 1rem;
    /* background-color: #2f80ed; */
}

.deleteHis {
    /* width: 0rem; */
    /* width: 4.1rem; */
    margin-left: 0.25rem;
    overflow: hidden;
    transition: 500ms;
    /* background-color: #00ffc8; */
}

.arrowHis,
.operateHis {
    font-size: 0.5rem;
}

.operateHis {
    display: flex;
    align-items: center;
}

.isRecord {
    flex-shrink: 0;
    /* background-color: #ff8f8f; */
}

.deleteHisIcon,
.arrowHisIcon {
    width: 0.5rem;
    height: 0.5rem;
    transition: 500ms;
    flex-shrink: 0;
    /* background-color: #b97676; */
}

.deleteHisIcon img {
    max-width: 120%;
    max-height: 120%;
}

.arrowHisIcon {
    transition: 500ms;
}

.animationRotate {
    transform: rotate(180deg);
}

.idHistory {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 10;
    display: flex;
    flex-direction: column;
    align-items: end;
    width: 100%;
    /* height: 1.8rem; */
    border-radius: 5px;
    overflow: hidden;
    background-color: slategray;
}

.arrowTips {
    position: absolute;
    top: 0rem;
    right: 0.5rem;
    flex-direction: column;
    width: 1rem;
    height: 100%;
    /* background-color: #302728; */
}

.arrowTips .arrowheadTop,
.arrowTips .hengLine,
.arrowTips .arrowheadbottom {
    width: 0.5rem;
    height: 0.35rem;
    /* background-color: #fff; */
}

.arrowTips .hengLine {
    height: 0.12rem;
}

.hengLine img {
    max-width: 80%;
}

.arrowheadTop,
.topLine {
    animation: looming 2s infinite;
}

.bottomLine,
.arrowheadbottom {
    animation: looming 2s infinite;
    animation-delay: 1s;
}

@keyframes looming {

    0%,
    75% {
        opacity: 1;
    }

    87.5% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.hisContent {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: 500ms;
    overflow: scroll;
    /* background-color: pink; */
}

.reservations {
    display: flex;
    flex-direction: column;
    align-items: end;
    padding-right: 1.5rem;
    transition: 500ms;
    overflow: scroll;
    /* background-color: #df9f71; */
}

.resBox {
    position: relative;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    margin-top: 0.25rem;
    margin-right: 0.5rem;
    padding: 0.3rem;
    width: fit-content;
    height: fit-content;
    line-height: normal;
    font-size: 0.5rem;
    border-radius: 5px;
    background-color: #e9e9e9;
}

.resBox:last-child {
    margin-bottom: 0.2rem;
}

.closeHisIcon {
    position: absolute;
    top: -0.2rem;
    right: -0.2rem;
    width: 0.5rem;
    height: 0.5rem;
    background-color: #ff5e5e;
    border-radius: 50%;
}

.closeHisIcon img {
    max-width: 80%;
    max-height: 80%;
}

.reseBlank {
    flex-direction: column;
    width: 5rem;
    height: 100%;
    /* background-color: blanchedalmond; */
}

.reseBlank img {
    /* max-width: 100%; */
    max-height: 100%;
    /* background-color: #27ae60; */
}

.blankTip {
    font-size: 0.45rem;
    line-height: normal;
    color: #a5a5a5;
}

hr {
    border: none;
    height: 1px;
    background: #dddddd;
}

.otherdata {
    margin-bottom: 0.25rem;
}

.otherdata:last-child {
    margin-bottom: 0;
}

.userRow {
    display: flex;
    flex-direction: row;
    /* background-color: #ffae00; */
}

.headImg {
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
}

.headImg img {
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
    box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
}

.listTitle {
    display: flex;
    /* font-weight: 700; */
    /* background-color: burlywood; */
}

.select {
    display: flex;
    margin-top: 0.5rem;
}

.selectBtn {
    display: flex;
    align-items: center;
    margin-right: 0.5rem;
    padding: 0.3rem;
    border-radius: 5px;
    border: 2px solid transparent;
    background-color: #ffffff;
}

.btnOn {
    font-weight: 700;
    border: 2px solid red;
    background-color: #ffffff;
}

.listIcon {
    width: 1rem;
    height: 1rem;
    margin-right: 0.2rem;
}

.listIcon img {
    max-width: 100%;
}

.tips {
    display: flex;
    align-items: center;
    margin-left: 2rem;
    font-size: 0.55rem;
    color: #ffae00;
    font-weight: 700;
}

.listRow input {
    margin: 0.2rem 0;
    width: 6rem;
    height: 1.5rem;
    font-size: .6rem;
    /* background-color: pink; */
}

.listbtn {
    padding: 0.5rem 0;
    width: 100%;
    text-align: center;
    font-weight: 700;
    border-radius: 5px;
    background-color: rgb(255, 240, 0);
}